Superid

Upscaler - SuperID

Deprecation notice

This endpoint is deprecated. We recommend using alternative endpoints to ensure continued support and compatibility.
POST
/api/superid

Use this endpoint to start the upscaling process.

Check the Notifications (/notification_by_name_json) to understand the processing status.

Authorization

token_auth_2
headerAuthorizationBearer <token>

Request Body

application/json
  1. body
id_project?string
id_image?string
prompt?string
guidance_scale?string
prompt_strength?string
controlnet_conditioning_scale?string
hdr?string
num_inference_steps?integer
seed?integer
upscaler_type?string
upscaling_mode?string
scale_factor?string
flag_email?boolean
output_format?string
options?string

Response Body

Success

application/json
  1. response
eta?integer
required_credits?integer
width?integer
height?integer
width_o?integer
height_o?integer
curl -X POST "https://example.com/api/superid" \  -H "Content-Type: application/json" \  -d '{}'
{  "eta": 0,  "required_credits": 0,  "width": 0,  "height": 0,  "width_o": 0,  "height_o": 0}